﻿/******************************************************************************************
*                                                                                         *    
*                              Developed by Bruno Pires                                   *
*                                                                                         *
*                             email: bruno@blastersystems.com                             *
*                               web: www.blastersystems.com                               *
*                              blog: www.blastersystems.com/blog                          *
*                           twitter: brunoacpires                                         *
*                                                                                         *
*                      Software available under GNU LGPL v3 License                       *
*                                                                                         *    
* *****************************************************************************************/  

function getGoogleMaps(mapContainer, latitude, longitude, mapZoom, pushPin, pushPinTitle, pushPinDescription, mapStyle, mapWidth, mapHeight) {

    /*set the map size*/
    document.getElementById('myMap').setAttribute('style', 'position:relative; width:' + mapWidth + '; height:' + mapHeight + ';');
    /**/
    
    if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById('' + mapContainer + ''));
        map.setCenter(new GLatLng(latitude, longitude), mapZoom);
        map.setMapType(mapStyle);

        if (pushPin) {

            /*For the PushPoint*/
            var point = new GLatLng(latitude, longitude);
            var pushPoint = new GMarker(point);

            var pushPinText = '<div><font size="2" face="Arial"><b>' + pushPinTitle + '</b><br/><br/>' + pushPinDescription + '<br/></font></div>';
            GEvent.addListener(pushPoint, "mouseover", function() { marker.openInfoWindowHtml(pushPinText); });
            pushPoint.openInfoWindowHtml(pushPinText);
            
            map.addOverlay(pushPoint);
        }
        
        map.setUIToDefault();
      }
}  